Bug 2983 - Missing TESTS.pl script for globus_authz_test
: Missing TESTS.pl script for globus_authz_test
Status: NEW
: GSI C
Authorization
: 3.9.5
: Other Linux
: P3 normal
: ---
Assigned To:
:
:
:
: 3705
  Show dependency treegraph
 
Reported: 2005-03-21 05:16 by
Modified: 2008-08-08 10:16 (History)


Attachments
TESTS.pl for test/globus_authz_test (3.78 KB, patch)
2006-03-24 10:22, Chris Wilk
Details
TESTS.pl for test/globus_authz_test (5.06 KB, text/plain)
2006-03-28 06:10, Chris Wilk
Details
TESTS.pl for test/globus_authz_test (2.07 KB, text/plain)
2006-03-29 10:28, Chris Wilk
Details
General configuration script (setup.pl) (4.66 KB, text/plain)
2006-03-29 10:33, Chris Wilk
Details
Globus::Testing::CAS Perl module that handles CAS configuration. (9.29 KB, text/plain)
2006-03-31 08:56, Chris Wilk
Details
TESTS.pl for test/globus_authz_test (2.14 KB, text/plain)
2006-03-31 08:57, Chris Wilk
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-03-21 05:16:29
I found that $GLOBUS_LOCATION/test/globus_authz_test  package does not have a
TESTS.pl script that is present in all other test packages and 
hence I assume it would not be executed by master script
$GLOBUS_LOCATION/test/globus_test/test-toolkit.
------- Comment #1 From 2005-11-29 08:49:41 -------
In a complete process of fixing #3705 I work on this bug, too.
Adding a new TESTS.pl file and invoking it via global test-toolkit script is an
easy task.
However, deciding what should be in is not so trivial.

What is the suggested command to run these set of tests manually?
------- Comment #2 From 2006-03-24 10:22:55 -------
Created an attachment (id=892) [details]
TESTS.pl for test/globus_authz_test

This is a first draft of test/globus_authz_test/TESTS.pl script.
It works with globus_4_0_branch code (16.03.2006).

It requires Expect.pm module to work
<http://search.cpan.org/~rgiersig/Expect-1.15/Expect.pod>.
This module was verified to work on the following platforms
<http://search.cpan.org/perldoc?IO%3A%3ATty> (VERIFIED SYSTEMS, KNOWN ISSUES).

I have also tested it positevely to work on HP-UX/IA-64 (HP-UX 11.22).

Feel free to evaluate or comment.
------- Comment #3 From 2006-03-28 06:10:13 -------
Created an attachment (id=894) [details]
TESTS.pl  for test/globus_authz_test 

Changes (against #892):
- fixed CAS_SERVER_URL variable handling
- added support for all allowed GSI authorization callout file locations
- added Straps awareness (now produces TAP-compliant output)
------- Comment #4 From 2006-03-29 10:28:37 -------
Created an attachment (id=901) [details]
TESTS.pl for test/globus_authz_test

Changes (against #894):
- extracted general configuration code to setup.pl file
- added comments
- refactored
------- Comment #5 From 2006-03-29 10:33:36 -------
Created an attachment (id=902) [details]
General configuration script (setup.pl)

This is a helper script. It is also used by #3062.
------- Comment #6 From 2006-03-29 10:38:22 -------
Few more comments about running tests:
- make sure that Expect.pm is installed on your machine
- run GT configuration scripts ($G_L/etc/globus-user-env.sh and
$G_L/etc/globus-user-env.sh)
- create CAS database and configure access to this database
- start Globus container with CAS enabled
- run the test: ./TESTS.pl

Tests should work with new test framework (see bug #3705).
Tests do not conform to pure TAP (Test Anything Protocol) format. The file
authz_cred_test should be changed for this purpose. Current Test::Harness
release (2.57) and earlier ignore non-TAP compliant lines.

Tests were tested only on Linux x86 platform.
------- Comment #7 From 2006-03-31 08:56:09 -------
Created an attachment (id=905) [details]
Globus::Testing::CAS Perl  module that handles CAS configuration.

This is a replacement of setup.pl script. It should become a part of 'test'
package and be installed in $G_L/lib/perl/Globus/Testing directory.

The same module is also used by gaa_simple_test (bug #3062).
------- Comment #8 From 2006-03-31 08:57:38 -------
Created an attachment (id=906) [details]
TESTS.pl for test/globus_authz_test

This is a revised version of TESTS.pl script.

Changes (against #901):
- uses Globus::Testing::CAS module instead of setup.pl script